# std::experimental::observer_ptr::swap

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr void swap(observer_ptr& other); |  | (library fundamentals TS v2)

Swaps the watched object of `*this` and another observer_ptr object `other`, by invoking swap on the stored pointers of `*this` and `other`.

### Parameters

other | - | another observer_ptr object to swap the watched object with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/swap&oldid=91506"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template